#ifndef _CRADIOBUTTON_H_
#define _CRADIOBUTTON_H_

#include "CCheckBoxGUI.h"

class C_RADIOBUTTON_0 : public C_CHECKBOX_0
{
private :
	std::string						_group;
	static void						_OdZnacit(std::string group);

public :
	C_RADIOBUTTON_0(std::string name, uint image_off, uint image_on, TRect rect, std::string group = "group1", TRGBi color = RGBi_WHITE);
	~C_RADIOBUTTON_0();

public :
	virtual void					MouseClick(int button, int x, int y);
	inline virtual  void			SetCheckStavEx(bool stav);

};

#endif //_CRADIOBUTTON_H_